import 'package:facebook_audience_network/ad/ad_banner.dart';
import 'package:facebook_audience_network/ad/ad_native.dart';
import 'package:flutter/material.dart';

class BannerFacebook {
  Widget createBannerWidget(String bannerId,
      {NativeBannerAdSize bannerSize = NativeBannerAdSize.HEIGHT_50}) {
    return FacebookBannerAd(
        placementId: bannerId,
        bannerSize: BannerSize.STANDARD,
        listener: (result, value) {
          switch (result) {
            case BannerAdResult.ERROR:
              print("BannerFacebook Error: $value");
              break;
            case BannerAdResult.LOADED:
              print("BannerFacebook Loaded: $value");
              break;
            case BannerAdResult.CLICKED:
              print("BannerFacebook Clicked: $value");
              break;
            case BannerAdResult.LOGGING_IMPRESSION:
              print("BannerFacebook Logging Impression: $value");
              break;
          }
        });
  }

}